* {
    box-sizing: border-box;
}

@font-face {
    font-family: 'garute';
    src: url(/fonts/garute.oblique-bold.ttf);
}


body {
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    background-image: linear-gradient(rgba(0,0,0,0.45),rgba(0,0,0,0.85)), url(/bilder/verksted-front.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: black;
    


}

@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes transitionIn {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes transitionOut {
    from {
        opacity: 1;
        transform: translateY(0);
    }
    to {
        opacity: 0;
        transform: translateY(-10px);
    }
}


.logo {
    width: 10rem;
    padding: 1rem;
    transition: transform .2s; /* Animation */
}

.logo:hover{
    transform: scale(1.25); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgb(255, 255, 255);
    box-shadow: #555;
    
}

.navbar-links ul {
    margin: 0;
    padding: 0;
    display: flex;
    
}

.navbar-links li {
    list-style: none;
}

.navbar-links li a {
    text-decoration: none;
    color: black;
    padding: 1rem;
    display: block;
    font-size: x-large;
    font-family: 'garute';
    
}


  .underline-hover-effect {
    display: inline-block;
    padding-bottom: 2rem; /* defines the space between text and underline */
    position: relative;
  }
  
  .underline-hover-effect::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 12px;
    width: 0;
    height: 4px;
    background-color: rgb(0, 38, 255);
    transition: width 0.25s ease-out;
  }
  .underline-hover-effect:hover::before {
    width: 100%;
    
  }

.toggle-button {
    position: absolute;
    top: 2rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 20px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: rgb(0, 0, 0);
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}


.finn {
    height: 85vh;
    margin-left: 2.5%;
    margin-right: 2.5%;
    margin-top: 2.5%;
    padding-bottom: 2%;
    animation: fadeInAnimation ease 2s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    

}

.content-box {
    color: white;
    text-align: center;
    font-size: x-large;

    animation: transitionIn ease 2s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;

    font-family: 'garute';
    
    text-shadow: 5px 5px 10px black;
}

.content-box-2 {
    color: white;
    text-align: center;
    font-size: x-large;
    animation-delay: 2s;
    animation: transitionIn ease 2s;
    
    
    animation-iteration-count: 1;
    animation-fill-mode: forwards;

    font-family: 'garute';
    
    text-shadow: 5px 5px 10px black;
}

.content-box-about {
    background-color: rgba(0,0,0,0.5);
    color: white;
    
    font-size: x-large;



    margin-top: 10rem;
    margin-left: 10rem;
    margin-right: 10rem;
    display: flex;
    justify-content: space-between;
    animation: fadeInAnimation ease 2s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;

}

.info {
    
    width: 50%;
    text-align: center;
    font-family: 'garute';
    
}

.info a{
    text-decoration: none;
    color: white;
}

.info a:hover{
    text-decoration: none;
    color: rgb(0, 38, 255);
}

.info p {
    margin-top: 10%;
}

.gmap{
    width: 50%;
    height: 50vh;

}

@media (max-width: 900px) {

    .logo {
        width: 10rem;
    }

    .toggle-button {
        display: flex;
    }

    .toggle-button.active .bar:nth-child(2) {
        opacity: 0;
    }

    .toggle-button.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .toggle-button.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .navbar-links {
        
       display: none;
       width: 100%;
       
       
    }



    .navbar {
        flex-direction: column;
        align-items: flex-start;
        
        
         
    }

    .navbar-links ul {

        width: 100%;
        flex-direction: column;
        animation: fadeInAnimation ease 1s;
        animation-iteration-count: 1;
         animation-fill-mode: forwards;
  
    }
    

    .navbar-links li {
        text-align: center;
        
    }

    .navbar-links li a {
        padding: .5rem 1rem;
        font-size: large;
    }

    .navbar-links.active {
        display: flex;
        
        

    }



    .underline-hover-effect {
        display: none;
        padding-bottom: 2rem; /* defines the space between text and underline */
        position: relative;
      }
      
      .underline-hover-effect::before {
        content: "";
        position: absolute;
        left: 0;
        bottom: 12px;
        width: 0;
        height: 0px;
        background-color: rgb(0, 38, 255);
        transition: width 0.25s ease-out;
      }
      .underline-hover-effect:hover::before {
        width: 100%;
        
      }

    .content-box {
        color: white;
        text-align: center;
        font-size: x-large;
        margin-right: 1%;
        margin-left: 1%;
        
    
    }
    
    .content-box-about {
        background-color: rgba(0,0,0,0.5);
        color: white;
        
        margin-left: 1rem;
        margin-right: 1rem;
        margin-top: 1rem;
        margin-bottom: 1rem;
    
        display: flex;
        flex-direction: column;  
        width: 100;         
        
        
    }
    
    .info {
        margin-left: 25%;
        margin-right: 25%;
        width: 50%;
        font-size: smaller;

    }
    
    
    .gmap{
        margin-top: 10%;
        margin-left: 12.5%;
        margin-right: 12.5%;
        width: 75%;
        height: 30vh;
    }
}

@media (max-height: 750px) {
    .finn {
        height: 82vh;
        margin-left: 2.5%;
        margin-right: 2.5%;
        margin-top: 2.5%;
        margin-bottom: 2.5%;
    
      
    }

    .content-box {
        color: white;
       text-align: center;
       font-size: large;   
       
    }

    .content-box p {
        padding: 1rem;
    }

    .info {
        margin-left: 25%;
        margin-right: 25%;
        width: 50%;
        font-size: small;

    }
  

}